#include "mainwindow.h"
#include "qad_locations.h"
#include "qad_types.h"

#include <QApplication>
#include <QUiLoader>


int main(int argc, char * argv[]) {
	QApplication a(argc, argv);
	a.setWindowIcon(QIcon(":/icons/valuetreeeditor.png"));
	enableHighDPI();
	QAD::loadTranslations();

	{ QUiLoader uil; }

	MainWindow w;
	if (a.arguments().size() > 1) w.load(a.arguments().back());
	w.show();
	return a.exec();
}
